<!-- 系统公告列表 -->
<template >
  <div class="m_main_box_about" ref="main_box">
    <van-list class="" :immediate-check="false" v-model="list_loading" :finished="list_finished" @load="m_loadList">
      <div style="padding: 0px" class="listSec" @click="routerPush(item)" v-for="(item , i ) in  m_data" :key="i">
        <span  v-if="i==0" style="width: 100%">
          <img class="wideImage" :src="item.img[0]" />
          <p class="textSec" > {{item.name}}</p>
        </span>
        <span v-else style="display: flex;width:95%;margin:auto;">
          <p class="textSec2">{{item.name}}</p>
          <img class="inSecImage" :src="item.img[0]" />
        </span>
      </div>
    </van-list>
    <nodata v-if="!m_hasData&&!list_loading" />
  </div>
</template>

<script>
export default {
  name:'about',
  data() {
    return {
      m_pageInfo: {
        limit: 15,
        page: 1,
      },
    }
  },
  mounted() {
   this.init()
  },

  activated(){
    let keepAlive = this.$route.meta.keepAlive
    console.log(keepAlive)
    if(keepAlive==1){
      this.handeKeepAlive()
    }else{
     this.init()
    }
  },
  methods: {
    init(){
       this.m_resetData()
       this.m_loadList()

    },

    handeKeepAlive(){
      let _scrollTop = this.isNaN0(sessionStorage.scrollTop)
      sessionStorage.scrollTop = ''
      this.$refs.main_box.scrollTop = _scrollTop

    },

    getDataList() {
      return this.api.medium(Object.assign(this.m_pageInfo, {})).then(res => {
        this.m_data = [...this.m_data, ...res.data.data]
        return res

      })
    },

    routerPush(item){
      sessionStorage.scrollTop = this.$refs.main_box.scrollTop
      this.$router.push(`/about_detail?id=${item.id}`)
    }
  }

}

</script>
<style lang='scss' scoped>
.m_main_box_about{
  height: 100%;
  overflow: auto;
  width: 100%;
  // padding-right: 0.3rem;
  // padding-top: 0.3rem;
  // padding-left: 0.3rem;
  padding: 0px;
  margin: 0px;
  margin-top:0%;
  -webkit-overflow-scrolling:touch
}

  .wideImage {
    width: 100%;
    height: 100px;
    object-fit: cover;
  }
  .textSec {
    position: absolute;
    z-index: 10;
    width: 95%;
    text-align: center;
    margin-top: -30px;
    color: #fff;
    font-weight: bold;
  }

  .listSec {
    position: relative;
    display: -webkit-box;
    display: -webkit-flex;
    display: flex;
    box-sizing: border-box;
    width: 100%;
    padding: .2rem .32rem;
    overflow: hidden;
    color: #323233;
    font-size: .28rem;
    line-height: .48rem;
    background-color: #fff;
    align-items: center;
    padding-top: 0px;
  }

  .textSec2 {
    width: 95%;
    text-align: left;
    font-size: .28rem;
    color: #333;
    margin-right: .22rem;
    height: 1.4rem;
    display: flex;
    align-items: center;
    border-bottom: 1px solid lightgray;
  }
  .icon{
    position: relative;
    font: .28rem/1 vant-icon;
    font-size: .32rem;
    text-rendering: auto;
    -webkit-font-smoothing: antialiased;
    min-width: 1em;
    height: .48rem;
    margin-left: .1rem;
    color: #969799;
    line-height: .48rem;
  }
  .icon:before {
    content: "\F00A";
  }

  .inSecImage {
    width: 1.2rem;
    height: 1.2rem;
    object-fit: cover;
    border-radius: 3px;
  }

</style>
